
Ruby - Bug #13039

build warning on 2.4-rc1

12/15/2016 07:02 PM - swills (Steve Wills)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3:

UNKNOWN

Description

When calling autoreconf -f -i, the following warning is generated:

aclocal-1.15: warning: autoconf input should be named 'configure.ac', not 'configure.in'

Renaming configure.in to configure.ac should do it and should be harmless.

Related issues:

Related to Ruby - Feature #13946: Rename configure.in to configure.ac Closed

History

#1 - 12/16/2016 01:10 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Rejected

Use autoconf, not autoreconf.

#2 - 12/17/2016 03:04 AM - swills (Steve Wills)

Looks like the docs say to use configure.ac:

https://www.gnu.org/savannah-checkouts/gnu/autoconf/manual/autoconf-2.69/html_node/Writing-Autoconf-Input.html#Writing-Autoconf-Input

Or am I misunderstanding something?

Thanks!

#3 - 09/30/2017 01:59 PM - znz (Kazuhiro NISHIYAMA)

- Related to Feature #13946: Rename configure.in to configure.ac added
